Bug 123406 - S-C-N show two eth0 with two devices
S-C-N show two eth0 with two devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-18 04:20 EDT by Grigory Bakunov
Modified: 2009-07-14 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gratuitous screenshot showing mislabeled devices (44.10 KB, image/jpeg)
2008-03-20 12:13 EDT, pradeep
no flags Details

  None (edit)
Description Grigory Bakunov 2004-05-18 04:20:40 EDT
My notebook with internal ethernet rtk8139 and intel wireless 2100. 
kudzu show me both but set ETH0 to it in /etc/sysconfig/hwconfig.
In my /etc/modules.conf i see:
alias eth1 8139too
alias eth0 ipw2100.
With first start of system-config-network on Hardware tab i see 3 
devices:
- RTL8139/8139C/8139C+				Wireless	eth0
- PRO/Wireless LAN 2100 3b MINI		Wireless	eth0
- RTL8139, SMC EZ Card Fast Ethernet	Ethernet	eth1
So as you can see two different defices named as 'RTL8139' but one on 
ETH0 and second on ETH1.
Comment 1 Harald Hoyer 2004-05-18 04:56:37 EDT
At system-config-network start, there is only the 8139too module
loaded, so that eth0 is actually RTL8139??
Did you bind to the HWADRESS / MAC Adress?
Comment 2 Grigory Bakunov 2004-05-18 06:29:28 EDT
Yes at start of s-c-n only rtl8139 was loaded. But it's loaded at 
eth1 not eth0.
No i didn't set HWADRESS.
So system-config-network works in this configuration if ONLY both of 
modules already loaded.
It's right behaviour?
Comment 3 Harald Hoyer 2004-05-18 11:18:46 EDT
no, s-c-network scans the system for devices, looks in
/etc/modules.conf, gets the driver id from the devices and displays
the information in the HW tab.
In the HW tab you also see the status, which is either: 
* "configured" - in /etc/modules.conf but not loaded
* "system" - module loaded but not in /etc/modules.conf
* "ok" - module loaded and in /etc/module.conf

what is displayed in your case? binding to the HW address helps/forces
the ordering of the interfaces.
Comment 4 Grigory Bakunov 2004-05-19 02:23:34 EDT
in case if both 8139too and ipw2100 are NOT loaded, and
/etc/modules.conf contains 
alias eth1 8139too
alias eth0 ipw2100
S-C-N shows the following:
RTL-8139/8139/8139C+	Wireless	eth0	ok
PRO/Wireless LAN 2100	Wireless	eth0	ok
RTL8139, SMC EZ Card	Ethernet	eth1	configured

in case if both drivers are loaded and modules.conf contains the same
aliases as previous then SCN shows
RTL-8139/8139/8139C+	Ethernet	eth1	ok
PRO/Wireless LAN 2100	Wireless	eth0	ok
And it's correct

in case if both 8139too and ipw2100 are loaded or NOT loaded, but
/etc/modules.conf contains 
alias eth0 8139too
alias eth1 ipw2100
S-C-N shows the following:
RTL-8139/8139/8139C+	Wireless	eth0	ok
PRO/Wireless LAN 2100	Ethernet	eth0	ok
PRO/Wireless LAN 2100	Wireless	eth1	configured
Comment 5 pradeep 2008-03-20 12:13:42 EDT
Created attachment 298711 [details]
gratuitous screenshot showing mislabeled devices

unnecessary screenshot, with mismatched device name (ethx) and description
(Intel Gigabit card)
Comment 6 pradeep 2008-03-20 12:18:24 EDT
oops ! That mail went out by itself ! I thought I'd get a chance to add a
comment somewhere.

I have 3 devices, eth0 is r8169, eth1 is 8139too and eth2 is e1000 - as per
/etc/modprobe.conf and /etc/udev/rules.d/70-persistent-net.rules

system-config-network mixes them up in the screenshot attached in comment#5,
though while saving them to /etc/sysconfig/network-scripts/ifcfg-ethx it gets it
right and has the correct DEVICE= and HWADDR= entries in the correctly named
file (e.g. ifcfg-eth1)
Comment 7 Bug Zapper 2008-05-13 21:56:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 17:58:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 12:57:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.